Summary:	Jar file creation utility
Summary(pl.UTF-8):	Narzędzie do tworzenia plików jar
Name:		fastjar
Version:	0.94
Release:	1
License:	GPL v2+
Group:		Development/Languages/Java
Source0:	http://downloads.sourceforge.net/fastjar/%{name}-%{version}.tar.gz
# Source0-md5:	14d4bdfac236e347d806c6743dba48c6
URL:		http://fastjar.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	zlib-devel
Provides:	jar
Provides:	java-shared
Obsoletes:	java-shared
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FastJar is an attempt at creating a feature-for-feature copy of Sun's
JDK's 'jar' command. Sun's jar (or Blackdown's for that matter) is
written entirely in Java which makes it dog slow. Since FastJar is
written in C, it can create the same .jar file as Sun's tool in a
fraction of the time. On my system, Sun's jar takes 50 seconds to
create a 10MB jar file, while FastJar only takes a little over a
second.

%description -l pl.UTF-8
FastJar to próba stworzenia dokładnej pod względem możliwości kopii
polecenia jar z Sun JDK. jar Suna (lub Blackdowna) jest napisany
całkowicie w Javie, co powoduje, że jest bardzo wolny. Ponieważ
FastJar jest napisany w C, może tworzyć te same pliki .jar co
narzędzie Suna kilka razy szybciej. Na systemie autora jar Suna
potrzebuje 50 sekund na stworzenie 10MB pliku jar, natomiast fastjar
robi to w nieco ponad sekundę.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf fastjar $RPM_BUILD_ROOT%{_bindir}/jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES ChangeLog NEWS README CHANGES
%attr(755,root,root) %{_bindir}/fastjar
%attr(755,root,root) %{_bindir}/grepjar
%attr(755,root,root) %{_bindir}/jar
%changelog
* Sun Sep 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 99d159f
- package docs
- verbose files list

* Sat Sep 01 2012 Łukasz Kieś <kiesiu@pld-linux.org> 5fdcb80
- updated to 0.94
- patch0 applied upstream

* Sat Sep 01 2012 Łukasz Kieś <kiesiu@pld-linux.org> b7658a8
- applied upstream

* Mon Feb 19 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> afbcf42
- rel 7

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 32a9d45
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 80588d8
- converted to UTF-8

* Sat Jan 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 81d0f7a
- rel 6; fix build with gcc 4.2

* Sat Jan 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 704b89e
- new

* Sat Sep 25 2004 havner <havner@pld-linux.org> c93d353
- provides/obsoletes java-shared
- rel 5

* Sat Jan 24 2004 undefine <undefine@pld-linux.org> 1e6139b
- release 4 for AC

* Tue Jul 08 2003 Paweł Gołaszewski <blues@pld-linux.org> a78c6aa
- "f" and some "g" letters of small fixes inpired by kloczek

* Mon May 26 2003 Michal Moskal <michal@moskal.me> ab9e80e
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> c3eb3af
- massive attack s/pld.org.pl/pld-linux.org/

* Tue May 06 2003 Jakub Bogusz <qboosh@pld-linux.org> 41a5b1b
- use http for sources from sourceforge

* Fri Oct 04 2002 kloczek <kloczek@pld-linux.org> 94b7735
- release 3: use new %doc.

* Tue May 21 2002 kloczek <kloczek@pld-linux.org> 88460a2
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

* Thu Apr 25 2002 arturs <arturs@pld-linux.org> 95ba3b2
fixed a small typo

* Sun Mar 24 2002 kloczek <kloczek@pld-linux.org> 4db1093
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

* Sun Mar 03 2002 kloczek <kloczek@pld-linux.org> 3d2618d
- reelasze 2: added "rm -f missing" on top %build.

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> e05216e
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

